#include <applicat.h>
#include <mask.h>
#include <urldefid.h>

#include "velib01.h" 

#include "ve6000.h"

class TFatturazione_bolle : public TApplication
{ 
protected: // TApplication
  virtual bool create();
  virtual bool menu(MENU_TAG mt);

public:
  TFatturazione_bolle() { } 
  virtual ~TFatturazione_bolle() { }
};

bool TFatturazione_bolle::create()
{
  dispatch_e_menu(MENU_ITEM(1));
  return TRUE;
}

bool TFatturazione_bolle::menu(MENU_TAG)
{
  TMask m("ve6000");
  while (m.run() == K_ENTER)
  {                              
    const long dc = m.get_long(F_CODICE_CLIFO_DA);
    const long ac = m.get_long(F_CODICE_CLIFO_A);
    const long da = m.get_long(F_CODICE_AGENTE_DA);
    const long aa = m.get_long(F_CODICE_AGENTE_A);
    const long dz = m.get_long(F_CODICE_ZONA_DA); 
    const long az = m.get_long(F_CODICE_ZONA_A);
    
    TLista_clienti clienti;
    clienti.leggi(dc, ac, da, aa, dz, az);
  }
  return FALSE;
}

int ve6200 (int argc, char **argv)
{
  TFatturazione_bolle a;
  a.run (argc, argv, "Fatturazione Bolle");
  return TRUE;
}
